<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-50">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3"
            >Cadastro de instituição</span
          >
        </div>
        <div class="pt-4 pb-4">
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="institutionCNPJ"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="CNPJ"
                v-model="model.cnpj"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="institutionEmail"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="E-mail"
                v-model="model.email"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column col-8 font-small">
              <input
                id="institutionAddress"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="Endereço"
                v-model="model.address"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <select
                id="institutionEmail"
                type="text"
                class="select input-rounded w-100 text--gray-light"
                v-model="model.branchActivity"
              >
                <option :value="null">Ramo de atividade</option>
                <option
                  v-for="(branch, index) in activityBranchies"
                  :value="branch"
                  :key="index"
                  >{{ branch }}</option
                >
              </select>
            </div>
          </div>
        </div>
        <div class="d-flex pb-3 pt-3 mt-4 ml-3 mr-3 border-top">
          <div class="d-flex col-6 justify-content-start">
            <router-link
              class="btn d-flex justify-content-center bg-none p-2 pl-4 pr-4 btn text-green font-medium"
              :to="{
                name: 'institution-registry-basic',
                params: { obj: model.json }
              }"
              title="Voltar"
              >Voltar</router-link
            >
          </div>
          <div class="d-flex col-6 justify-content-end">
            <router-link
              class="btn d-flex justify-content-center bg--primary p-2 pl-4 pr-4 ml-5 btn text-white font-medium"
              :to="{
                name: 'institution-registry-user',
                params: { obj: model.json }
              }"
              title="Inserir dados de login"
              >Próximo</router-link
            >
          </div>
        </div>
      </div>
    </div>
  </v-layout>
</template>
<script>
/* =============
 *   Home screen
 *  =============
 */
import VLayout from "@/layouts/External";
import plusIcon from "@/static/icon/plus.svg";
import Institution from "@/models/Institution";

export default {
  name: "login",
  data() {
    return {
      email: "",
      model: new Institution(),
      activityBranchies: ["TI", "Ensino", "Logística", "Auto-escola"]
    };
  },
  validations: {},
  beforeMount() {
    const self = this;
    if (self.$route.params.obj) {
      self.model.montaModel(self.$route.params.obj);
    }
  },
  methods: {},
  components: {
    VLayout,
    plusIcon
  }
};
</script>
